> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/performance/measurement/section/save.md).

# Save

### Introduction

The Save function is used to save a Section instance (and all of its contained sections) to an XML file. Saving a Section can be helpful in a number of situations:

* To save a snapshot of performance before making changes so that the effectiveness of the changes can be measured
* To send a file to another developer for assistance in improving performance
* To save a file from a device (such as Android or iOS) for viewing on a PC

### Saving on Android

The following code can be used to save on Android:

```csharp
string path;
path = Android.OS.Environment.ExternalStorageDirectory.AbsolutePath;
string fileName = System.IO.Path.Combine(path, "Sections.xml");
mSection.Save(fileName);
```

This saves to the following folder:

```
/storage/emulated/0/Sections.xml
```

This file can be accessed using the FS File Explorer app on Android.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/performance/measurement/section/save.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
